"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModSettingsPacket = void 0;
const Packet_1 = require("../Packet");
class ModSettingsPacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeString(JSON.stringify(this.data.settings));
        this.buf.finish();
    }
    read() {
        this.data = { settings: JSON.parse(this.buf.readString()) };
        return this.data;
    }
}
exports.ModSettingsPacket = ModSettingsPacket;
ModSettingsPacket.id = 31;
