"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StaffModStatePacket = void 0;
const Packet_1 = require("../Packet");
class StaffModStatePacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeString(this.data.mod);
        this.buf.writeBoolean(this.data.state);
        this.buf.finish();
    }
    read() {
        this.data = {
            mod: this.buf.readString(),
            state: this.buf.readBoolean(),
        };
        return this.data;
    }
}
exports.StaffModStatePacket = StaffModStatePacket;
StaffModStatePacket.id = 12;
