"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateWorldPacket = void 0;
const Packet_1 = require("../Packet");
class UpdateWorldPacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeString(this.data.world);
        this.buf.finish();
    }
    read() {
        this.data = { world: this.buf.readString() };
        return this.data;
    }
}
exports.UpdateWorldPacket = UpdateWorldPacket;
UpdateWorldPacket.id = 15;
