import { Packet } from '../Packet';
export declare class TitlePacket extends Packet<Title> {
    static id: number;
    write(data?: Title): void;
    read(): Title;
}
/**
 * Update world packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/client/LCPacketTitle.java
 */
interface Title {
    type: string;
    message: string;
    scale: number;
    displayTimeMs: number;
    fadeInTimeMs: number;
    fadeOutTimeMs: number;
}
export {};
