"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VoiceMutePacket = void 0;
const Packet_1 = require("../Packet");
class VoiceMutePacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeUUID(this.data.muting);
        this.buf.writeInt(this.data.volume);
        this.buf.finish();
    }
    read() {
        this.data = {
            muting: this.buf.readUUID(),
            volume: this.buf.readInt(),
        };
        return this.data;
    }
}
exports.VoiceMutePacket = VoiceMutePacket;
VoiceMutePacket.id = 2;
