"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorldBorderRemovePacket = void 0;
const Packet_1 = require("../Packet");
class WorldBorderRemovePacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeString(this.data.id);
        this.buf.finish();
    }
    read() {
        this.data = {
            id: this.buf.readString(),
        };
        return this.data;
    }
}
exports.WorldBorderRemovePacket = WorldBorderRemovePacket;
WorldBorderRemovePacket.id = 21;
