"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VoiceChannelPacket = void 0;
const Packet_1 = require("../Packet");
class VoiceChannelPacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeUUID(this.data.uuid);
        this.buf.writeString(this.data.name);
        this.buf.plugins.lunar.writeMap(this.data.players);
        this.buf.plugins.lunar.writeMap(this.data.listening);
        this.buf.finish();
    }
    read() {
        this.data = {
            uuid: this.buf.readUUID(),
            name: this.buf.readString(),
            players: this.buf.plugins.lunar.readMap(),
            listening: this.buf.plugins.lunar.readMap(),
        };
        return this.data;
    }
}
exports.VoiceChannelPacket = VoiceChannelPacket;
VoiceChannelPacket.id = 17;
