"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WaypointRemovePacket = void 0;
const Packet_1 = require("../Packet");
class WaypointRemovePacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeString(this.data.name);
        this.buf.writeString(this.data.world);
        this.buf.finish();
    }
    read() {
        this.data = {
            name: this.buf.readString(),
            world: this.buf.readString(),
        };
        return this.data;
    }
}
exports.WaypointRemovePacket = WaypointRemovePacket;
WaypointRemovePacket.id = 24;
