"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const node_util_1 = require("node:util");
/**
 * Deprecate a packet
 * @param packet Packet to deprecate
 * @returns The deprecated packet
 */
function deprecatePacket(packet) {
    return (0, node_util_1.deprecate)(packet, `Packet ${packet.name} not handled by the official Lunar Client`, `DEP-${packet.name}`);
}
exports.default = deprecatePacket;
